### Name: InferEdges
### Title: Edge Inference
### Aliases: InferEdges
### Keywords: htest graphs

### ** Examples

  library(simone)

  ## Generating a graph with an associated Gaussian sample
  p <- 100
  n <- 200
  proba.in  <- 0.15
  proba.out <- 0.005
  alpha <- c(.6,.4)
  X <- SimDataAffiliation (p, n, proba.in, proba.out, alpha)

  ## Network inference
  rho <- 0.18
  res <- InferEdges(X$data, rho)

  ## Results, plotting and comparison
  par(mfrow=c(2,2))
  g <- Gplot(X$K.theo, X$cl.theo, main="Theoretical graph")
  Mplot(X$K.theo, X$cl.theo, main="Theoretical Mplot")
  Gplot(res$K.hat, coord=g, main="GLasso Inference")
  Mplot(res$K.hat, X$cl.theo, main="Inferred Mplot")



