### Name: Mplot
### Title: Graphics representation of a matrix
### Aliases: Mplot
### Keywords: hplot graphs

### ** Examples

  library(simone)

  # Simulate a data set with obvious structure
  p <- 200
  n <- 1 
  proba.in  <- 0.2
  proba.out <- 0.01
  alpha <- c(.5,.3,.2)
  X <- SimDataAffiliation (p, n, proba.in, proba.out, alpha)

  # Create four pictures
  par(mfrow=c(2,2))
  Gplot(X$K.theo, X$cl.theo, main="Affiliation graph")
  Mplot(X$K.theo, main="Adjacency matrix", colors="light.64")
  Mplot(X$K.theo, X$cl.theo, lab.display=FALSE, main="Ordered matrix")
  Mplot(color.legend=TRUE)



