### Name: SimDataAffiliation
### Title: Simulate an affiliation graph and its associated Gaussian sample
### Aliases: SimDataAffiliation
### Keywords: datagen graphs

### ** Examples

library(simone)

## The data set parameters
p <- 100
n <- 200
proba.in  <- 0.25
proba.out <- 0.025
alpha <- c(0.5,0.3,0.2)

# Simulate the data set
X  <- SimDataAffiliation (p,n,proba.in,proba.out,alpha,proba.dust=0.2)

## Plot the graph and summary the data set
g <- Gplot(X$K.theo, X$cl.theo, main="A modular network")
summary(X$data)



